#include <iostream>
using namespace std;

int main ()
{
    int E, A, B, C, D, package, x;
    cin >> A;
    cin >> B;
    cin >> C;
    cin >> D;
    cin >> E;

    if (E * E > A * A + B * B + C * C + D * D)
    {
        package = 1;
    }
    if (E * E = 2 * ( A * A + B * B + C * C + D * D)
{
    package = 2;
}
if (E * E = 3 * ( A * A + B * B + C * C + D * D)
{
    package = 3;
}
if (E * E = 4 * ( A * A + B * B + C * C + D * D)
{
    package = 4;
}
if (E * E = 4 * ( A * A + B * B + C * C + D * D){
    package = 5;
    }
if (E * E = 5 * ( A * A + B * B + C * C + D * D)

cout << package;

return 0;
}

